#ifndef __UDS_31SERVICE_FILTER_H
#define __UDS_31SERVICE_FILTER_H

#include "TYW_stdint.h"
#include "UDS_Common.h"
#include "UDS_ISO14229_Server.h"

#define CheckPreProgram                                     0x0203u

uint8_t UDS_31Service_NRC11(void);
uint8_t UDS_31Service_NRC7F(void);
uint8_t UDS_31Service_NRC33(void);
uint8_t UDS_31Service_NRC13_MinLengthCheck(void);
uint8_t UDS_31Service_NRC31(void);
uint8_t UDS_31Service_NRC13_TotalLengthCheck(void);
uint8_t UDS_31Service_NRC22(void);
uint8_t UDS_31Service_Sub_NRC13_MinLengthCheck(void);
uint8_t UDS_31Service_Sub_NRC12(void);
uint8_t UDS_31Service_Sub_NRC7E(void);
uint8_t UDS_31Service_Sub_NRC31(void);
uint8_t UDS_31Service_Sub_NRC13_TotalLengthCheck(void);
uint8_t UDS_31Service_Sub_NRC24(void);
uint8_t UDS_31Service_Sub_NRC22(void);

#endif